(function($, Lego){

Lego.block['b-search__input'] = function(params){

    var _this = $(this);

    if(params.focus || _this.data('lego:focused')) {
        if(!_this.data('lego:focused')) {
            setTimeout(function() { _this.focus(); }, 0);
            _this.data('lego:focused', true);
        }
        if(!!window.history.length && !$.trim(_this.val())) { // только если есть хистори и пустое поле
            _this.bind('keydown', function(e) {
                if(e.keyCode == 8) { // если первое нажатие Backspace
                    return window.history.back();
                }
                _this.unbind('keydown', arguments.callee);
            });
        }
        _this.blur(function() {
            _this.data('lego:focused', false);
        });
    }

};

})(jQuery, window.Lego);
